<?php
require("connection/dbconn.php");
require("include/functions.php");

if (!isset($mit)) 
{
  $mit = "";
}

if ($mit == "") 
{
  if (!isset($email)) 
  {
    $email = "";
  }
  ?>
  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
  
  <head>
  
    <title><?php echo $title ?></title>
    
    <meta name="cache-control" content="private, no-store, no-cache, must-revalidate" />
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
    <meta http-equiv="Content-Language" content="hu-hu" />
    <meta name="language" content="hu" />
    <meta name="COPYRIGHT" content="[Ital futár]">
    <meta name="AUTHOR" content="sabee">
    <meta name="keywords" content="<?php echo $keywords ?>" />
    <meta name="description" content="<?php echo $description ?>" />
    <meta name="robots" content="index, follow, all" />
  
    <link href="css/default.css" rel="stylesheet" type="text/css" />
    <!--[if IE]>
      <link href="css/ie.css" rel="stylesheet" type="text/css" />        
    <![endif]-->
      
  </head>

  <body>
    <div id="page">
      <div id="top">
        <?php require("include/top.php");?>
      <!-- END: #top --></div>
      
      <div id="header">
        <?php require("include/header.php");?> 
      <!-- END: #header --></div>
      
      <div id="center"> 
        <?php require("include/center.php");?>
      <!-- END: #center --></div>
      
      <div id="bottom">
      
        <div id="content">
          <h1>Belépés</h1>      
            <?php
            if(isset($hiba)) 
			{
            ?>
              <p><strong>Hibás e-mail címet vagy jelszót adtál meg!</strong></p>
              <br />
            <?php
            }
            elseif(isset($marbevan)) 
			{
            ?>
              <p><strong>Már be vagy jelentkezve egy másik gépen!</strong></p>
              <br />
            <?php
            }
            ?>
            <p>Kérlek add meg a belépéshez szükséges adatokat:</p>
<?php
}
/** Ez a rész akkor fut le, amikor a $mit változó értéke 'ellenoriz' lesz és megvizsgálja, hogy létezik-e az adott felhasználó */
elseif ($mit == "ellenoriz") {

  $jelszo = md5($jelszo);

  $most = date("Y-m-d H:i:s");

  $parancs = "SELECT * from ugyfelek WHERE email='$email' AND jelszo='$jelszo'";
  $eredmeny = mysql_query($parancs);
 
  if (mysql_num_rows($eredmeny) > 0) 
  {
      setcookie("webshop_email",$email,time()+86400*1);
      setcookie("webshop_jelszo",$jelszo,time()+86400*1);
      
      $sor = mysql_fetch_array($eredmeny);
      $id = $sor["id"];
      $jelszo = $sor["jelszo"];

      $ervenyes = date("Y-m-d H:i:s",time()+3600);

      $sql = "UPDATE ugyfelek SET belepve='$most', session_id='" . session_id() . "', ervenyes='$ervenyes' WHERE id=$id";
      mysql_query($sql);

      $sql = "UPDATE kosar SET ugyfel_id=$id WHERE session_id='" . session_id() . "' AND rendeles_id=0";
      mysql_query($sql);
	  
	  header("Location: index.php");
  } 
  else 
  {
    $parancs = "SELECT * from ugyfelek WHERE email='$email' AND jelszo='$jelszo'";
    $eredmeny = mysql_query($parancs);
   
    if (mysql_num_rows($eredmeny) > 0) 
	{
      header("Location: belepes.php?marbevan=1&email=$email");
    }
    else 
	{
      header("Location: belepes.php?hiba=1&email=$email");
    }
  }
}
?>
      <!-- END: #content --></div>
      
	  <?php require("include/sidebar_right.php");?>  
      <?php require("include/footer.php");?>
    <!-- END: #bottom --></div>
  
  <!-- END: #page --></div>
  
<?php
mysql_close($connect);
?>
</body>
</html>